Subject: [spring] About the relationship between cadidate path and segment lists in SR Policy Architecture
From: "Dongjie (Jimmy)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, idr-chairs <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 11 Feb 2026 10:31:01 +0000
List-Id: "Source Packet Routing in NetworkinG (SPRING)" <spring.ietf.org>

Dear SPRING WG,

In a recent review of draft-ietf-idr-sr-policy-seglist-id-06 in IDR WG, I have one question about the scope of the segment list ID. It is further related to the relationship between candidate path and segment lists in the SR Policy Architecture.

As described in section 2.1 of this draft, the segment list ID is a 32-bit non-zero number that serves as the identifier associated with a segment list. And it says: the scope of this identifier is the SR Policy Candidate path.

I didn't find the description about segment list ID and its scope in RFC 9526 (SR Policy Architecture. Section 2.2 of RFC 9256 describes the relationship between candidate path and segment list, while it is not clear whether a segment list is bound to a candidate path, or it can be relocated to another candidate path without other change? If it is the latter case, it seems the segment list ID should not be scoped under a specific candidate path. Another related point is how a segment list should be identified/referenced in the control plane/management plane, does it require to use <candidate path ID + segment list ID>, or it can be referenced directly using the segment list ID? This could have impact on other protocol extensions related to the segment list.

After some discussion with the IDR chairs and Ketan, we think it is necessary to bring this to the SPRING WG and ask for your views and opinions.

Best regards,
Jie